Storyden
Profiles

Profile Get

Get a public profile by account handle or ID.

GET
/profiles/{account_handle}

Get a public profile by account handle or ID.

Authorization

cookiestoryden-session<token>

Path Parameters

account_handle*string

Account handle.

Response Body

OK

application/json
  1. response
id*Identifier

A unique identifier for this resource.

Formatxid
createdAt*stringDeprecated

The time the resource was created.

Formatdate-time
updatedAt*string

The time the resource was updated.

Formatdate-time
deletedAt?string

The time the resource was soft-deleted.

Formatdate-time
misc?

Arbitrary extra data stored with the resource.

joined*MemberJoinedDate

The time the resource was created.

Formatdate-time
suspended?MemberSuspendedDate

The time the resource was created.

Formatdate-time
handle*AccountHandle

The unique @ handle of an account.

name*AccountName

The account owners display name.

roles*array<>
bio*AccountBio

The rich-text bio for an account's public profile.

signature?AccountSignature

The rich-text signature shown beneath a member's posts.

image?string
followers*ProfileFollowersCount
following*ProfileFollowingCount
like_score*LikeScore

The total number of likes received by a member.

interests*array<>

A list of tags.

links*array<>
invited_by?

A minimal reference to an account.

meta*

Arbitrary metadata for the resource.

Example Request
curl -X GET 'https://example.com/api/profiles/southclaws'
Example Response
{  "id": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "createdAt": "string",  "joined": "2019-08-24T14:15:22Z",  "suspended": "2019-08-24T14:15:22Z",  "handle": "string",  "name": "string",  "roles": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "name": "string",      "colour": "string",      "permissions": [        "CREATE_POST"      ],      "meta": {},      "badge": true,      "default": true    }  ],  "bio": "string",  "signature": "string",  "image": "string",  "followers": 0,  "following": 0,  "like_score": 0,  "interests": [    {      "name": "string",      "colour": "string",      "item_count": 0    }  ],  "links": [    {      "text": "string",      "url": "string"    }  ],  "invited_by": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  },  "meta": {}}